Loading...
Searching...
No Matches
WGPUProgrammableStageDescriptor Struct Reference

`#include <mini_webgpu.h>`

## Public Attributes

WGPUChainedStruct const * | nextInChain
WGPUShaderModule | module
WGPU_NULLABLE char const * | entryPoint
size_t | constantCount
WGPUConstantEntry const * | constants

## Detailed Description

Definition at line 1870 of file mini_webgpu.h.

## Member Data Documentation

## nextInChain

WGPUChainedStruct const* WGPUProgrammableStageDescriptor::nextInChain

Definition at line 1871 of file mini_webgpu.h.

## module

WGPUShaderModule WGPUProgrammableStageDescriptor::module

Definition at line 1872 of file mini_webgpu.h.

## entryPoint

WGPU_NULLABLE char const* WGPUProgrammableStageDescriptor::entryPoint

Definition at line 1873 of file mini_webgpu.h.

## constantCount

size_t WGPUProgrammableStageDescriptor::constantCount

Definition at line 1874 of file mini_webgpu.h.

## constants

WGPUConstantEntry const* WGPUProgrammableStageDescriptor::constants

Definition at line 1875 of file mini_webgpu.h.

The documentation for this struct was generated from the following file:

- src/runtime/mini_webgpu.h